package src;

import java.awt.*;

public class DrawingBoatPaddle {
    private EnumPaddlesCount __enumPaddlesCount;
    private final BasicStroke __paddleStroke = new BasicStroke(3);

    public void SetEnumNumber(int paddlesCount) {
        for (EnumPaddlesCount val : __enumPaddlesCount.values()) {
            if (val.enumNumber == paddlesCount) {
                __enumPaddlesCount = val;
                return;
            }
        }
    }

    public void DrawBoatPaddles(Graphics g, Color color,
                                float startPosX, float startPosY, int boatWidth, int boatHeight) {
        int startX = (int) startPosX;
        int startY = (int) startPosY;

        Graphics2D g2d = (Graphics2D) g;
        // Задаем цвет как у лодки
        g2d.setColor(color);
        // Задаем толщину линии побольше
        g2d.setStroke(__paddleStroke);

        // Промежуточная переменная, чтобы уменьшить расчеты
        float t = boatWidth - (float) boatWidth / 4 - (float) boatWidth / 15;

        for (int i = 0; i < __enumPaddlesCount.enumNumber; i++) {
            // Рисуем верхнее весло
            g2d.drawLine(
                    (int) (startX + t - t / 3 * i),
                    startY,
                    (int) (startX + t - t / 3 * (i + 1)),
                    startY - 15
            );
            // Рисуем нижнее весло
            g2d.drawLine(
                    (int) (startX + t - t / 3 * i),
                    startY + boatHeight,
                    (int) (startX + t - t / 3 * (i + 1)),
                    startY + boatHeight + 15
            );
        }
    }
}
